%define zopeproductsdir  %{_libdir}/zope/lib/python/Products
%define productname      ExternalEditor
%define productver       0.8a0

%define __python         /usr/bin/python2.3

Name:               zope-%{productname}
Summary:            A Zope product: Externa Editor
Version:            %{productver}
Epoch:              0
Release:            0ied01
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
License:            GPL
URL:                http://zope.org/Members/Caseman/%{productname}
Source:             http://zope.org/Members/Caseman/%{productname}/%{productver}/%{productname}-%{productver}.tgz
Patch0:             %{productname}-0.7-nomonkey.patch
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch: 	    noarch

#----------------------------------------------------------------------
%description

Do you like editing zope objects in text areas?

If not, this product is for you. The ExternalEditor is a Zope product and
configurable helper application that allows you to drop into your favorite
editor(s) directly from the ZMI to modify Zope objects. Its one of those
"have your cake and eat it too" kind of things ;^).

#----------------------------------------------------------------------
%package -n zope-%{productname}-client

Summary:            Helper application for Zope ExternalEditor product
Group:              Applications/System
Requires:           python2.3

%description -n zope-%{productname}-client

The client-side helper application for the ExternalEditor product of Zope.

#----------------------------------------------------------------------
%prep

%setup -q -n %{productname}
%patch0 -p0
%{__rm} -rf win32 Plugins

#----------------------------------------------------------------------
%build

%{__python} setup.py build

#----------------------------------------------------------------------
%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#
# Install local client
#
%{__mkdir_p}  $RPM_BUILD_ROOT%{_bindir}
%{__python} setup.py install --root=$RPM_BUILD_ROOT

%{__mkdir_p}  $RPM_BUILD_ROOT%{_mandir}/man1
%{__mv} man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

#
# Install product
#
%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__rm} -rf zopeedit.py setup.py build
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

#----------------------------------------------------------------------
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%preun

%{__find} %{zopeproductsdir}/%{productname} -iname *.pyc -exec %{__rm} '{}' \;

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CHANGES.txt LICENSE.txt README.txt version.txt
%doc INSTALL-UNIX.txt INSTALL-WIN32.txt
%dir %{zopeproductsdir}/%{productname}
%{zopeproductsdir}/%{productname}/*

#----------------------------------------------------------------------
%files -n zope-%{productname}-client
%defattr(-,root,root,0755)
%{_bindir}/zopeedit.py
%dir %{_mandir}/man1
%{_mandir}/man1/*

#----------------------------------------------------------------------
%changelog
* Wed Jun 23 2004 Wei He <hewei@ied.org.cn> 0.8a0-0ied01
- seperated package zope-ExternalEditor-client 
  containing client program zopeedit.py and its man page
- win32-related files excluded from the binary package

* Sat Jun 19 2004 Wei He <hewei@ied.org.cn> 0.8a0-0ied00
- updated to 0.8a0
- product files' ownership changed to root
- spec file cleanups

* Fri Feb 20 2004 Wei He <hewei@ied.org.cn> 0.7-2ied00
- Disabled monkey patches and add those patches to Zope
  and AbracadabraObject

* Mon Feb 16 2004 Wei He <hewei@ied.org.cn> 0.7-1ied00
- Initial release
